Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network59.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
59.128.0.0
Broadcast address
59.255.255.255
First usable
59.128.0.1
Last usable
59.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 3B800000 · Integer 998244352 to 1006632959
Reverse DNS zones
128.59.in-addr.arpa
129.59.in-addr.arpa
130.59.in-addr.arpa
131.59.in-addr.arpa
132.59.in-addr.arpa
133.59.in-addr.arpa
134.59.in-addr.arpa
135.59.in-addr.arpa
136.59.in-addr.arpa
137.59.in-addr.arpa
138.59.in-addr.arpa
139.59.in-addr.arpa
140.59.in-addr.arpa
141.59.in-addr.arpa
142.59.in-addr.arpa
143.59.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111011.10000000.00000000.0000000059.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00111011.10000000.00000000.0000000059.128.0.0
Broadcast00111011.11111111.11111111.1111111159.255.255.255
Split into smaller subnets/17

59.128.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
159.128.0.0/1759.128.0.1 to 59.128.127.25459.128.127.25532,766
259.128.128.0/1759.128.128.1 to 59.128.255.25459.128.255.25532,766
359.129.0.0/1759.129.0.1 to 59.129.127.25459.129.127.25532,766
459.129.128.0/1759.129.128.1 to 59.129.255.25459.129.255.25532,766
559.130.0.0/1759.130.0.1 to 59.130.127.25459.130.127.25532,766
659.130.128.0/1759.130.128.1 to 59.130.255.25459.130.255.25532,766
759.131.0.0/1759.131.0.1 to 59.131.127.25459.131.127.25532,766
859.131.128.0/1759.131.128.1 to 59.131.255.25459.131.255.25532,766
959.132.0.0/1759.132.0.1 to 59.132.127.25459.132.127.25532,766
1059.132.128.0/1759.132.128.1 to 59.132.255.25459.132.255.25532,766
1159.133.0.0/1759.133.0.1 to 59.133.127.25459.133.127.25532,766
1259.133.128.0/1759.133.128.1 to 59.133.255.25459.133.255.25532,766
1359.134.0.0/1759.134.0.1 to 59.134.127.25459.134.127.25532,766
1459.134.128.0/1759.134.128.1 to 59.134.255.25459.134.255.25532,766
1559.135.0.0/1759.135.0.1 to 59.135.127.25459.135.127.25532,766
1659.135.128.0/1759.135.128.1 to 59.135.255.25459.135.255.25532,766
1759.136.0.0/1759.136.0.1 to 59.136.127.25459.136.127.25532,766
1859.136.128.0/1759.136.128.1 to 59.136.255.25459.136.255.25532,766
1959.137.0.0/1759.137.0.1 to 59.137.127.25459.137.127.25532,766
2059.137.128.0/1759.137.128.1 to 59.137.255.25459.137.255.25532,766
2159.138.0.0/1759.138.0.1 to 59.138.127.25459.138.127.25532,766
2259.138.128.0/1759.138.128.1 to 59.138.255.25459.138.255.25532,766
2359.139.0.0/1759.139.0.1 to 59.139.127.25459.139.127.25532,766
2459.139.128.0/1759.139.128.1 to 59.139.255.25459.139.255.25532,766
2559.140.0.0/1759.140.0.1 to 59.140.127.25459.140.127.25532,766
2659.140.128.0/1759.140.128.1 to 59.140.255.25459.140.255.25532,766
2759.141.0.0/1759.141.0.1 to 59.141.127.25459.141.127.25532,766
2859.141.128.0/1759.141.128.1 to 59.141.255.25459.141.255.25532,766
2959.142.0.0/1759.142.0.1 to 59.142.127.25459.142.127.25532,766
3059.142.128.0/1759.142.128.1 to 59.142.255.25459.142.255.25532,766
3159.143.0.0/1759.143.0.1 to 59.143.127.25459.143.127.25532,766
3259.143.128.0/1759.143.128.1 to 59.143.255.25459.143.255.25532,766
3359.144.0.0/1759.144.0.1 to 59.144.127.25459.144.127.25532,766
3459.144.128.0/1759.144.128.1 to 59.144.255.25459.144.255.25532,766
3559.145.0.0/1759.145.0.1 to 59.145.127.25459.145.127.25532,766
3659.145.128.0/1759.145.128.1 to 59.145.255.25459.145.255.25532,766
3759.146.0.0/1759.146.0.1 to 59.146.127.25459.146.127.25532,766
3859.146.128.0/1759.146.128.1 to 59.146.255.25459.146.255.25532,766
3959.147.0.0/1759.147.0.1 to 59.147.127.25459.147.127.25532,766
4059.147.128.0/1759.147.128.1 to 59.147.255.25459.147.255.25532,766
4159.148.0.0/1759.148.0.1 to 59.148.127.25459.148.127.25532,766
4259.148.128.0/1759.148.128.1 to 59.148.255.25459.148.255.25532,766
4359.149.0.0/1759.149.0.1 to 59.149.127.25459.149.127.25532,766
4459.149.128.0/1759.149.128.1 to 59.149.255.25459.149.255.25532,766
4559.150.0.0/1759.150.0.1 to 59.150.127.25459.150.127.25532,766
4659.150.128.0/1759.150.128.1 to 59.150.255.25459.150.255.25532,766
4759.151.0.0/1759.151.0.1 to 59.151.127.25459.151.127.25532,766
4859.151.128.0/1759.151.128.1 to 59.151.255.25459.151.255.25532,766
4959.152.0.0/1759.152.0.1 to 59.152.127.25459.152.127.25532,766
5059.152.128.0/1759.152.128.1 to 59.152.255.25459.152.255.25532,766
5159.153.0.0/1759.153.0.1 to 59.153.127.25459.153.127.25532,766
5259.153.128.0/1759.153.128.1 to 59.153.255.25459.153.255.25532,766
5359.154.0.0/1759.154.0.1 to 59.154.127.25459.154.127.25532,766
5459.154.128.0/1759.154.128.1 to 59.154.255.25459.154.255.25532,766
5559.155.0.0/1759.155.0.1 to 59.155.127.25459.155.127.25532,766
5659.155.128.0/1759.155.128.1 to 59.155.255.25459.155.255.25532,766
5759.156.0.0/1759.156.0.1 to 59.156.127.25459.156.127.25532,766
5859.156.128.0/1759.156.128.1 to 59.156.255.25459.156.255.25532,766
5959.157.0.0/1759.157.0.1 to 59.157.127.25459.157.127.25532,766
6059.157.128.0/1759.157.128.1 to 59.157.255.25459.157.255.25532,766
6159.158.0.0/1759.158.0.1 to 59.158.127.25459.158.127.25532,766
6259.158.128.0/1759.158.128.1 to 59.158.255.25459.158.255.25532,766
6359.159.0.0/1759.159.0.1 to 59.159.127.25459.159.127.25532,766
6459.159.128.0/1759.159.128.1 to 59.159.255.25459.159.255.25532,766
6559.160.0.0/1759.160.0.1 to 59.160.127.25459.160.127.25532,766
6659.160.128.0/1759.160.128.1 to 59.160.255.25459.160.255.25532,766
6759.161.0.0/1759.161.0.1 to 59.161.127.25459.161.127.25532,766
6859.161.128.0/1759.161.128.1 to 59.161.255.25459.161.255.25532,766
6959.162.0.0/1759.162.0.1 to 59.162.127.25459.162.127.25532,766
7059.162.128.0/1759.162.128.1 to 59.162.255.25459.162.255.25532,766
7159.163.0.0/1759.163.0.1 to 59.163.127.25459.163.127.25532,766
7259.163.128.0/1759.163.128.1 to 59.163.255.25459.163.255.25532,766
7359.164.0.0/1759.164.0.1 to 59.164.127.25459.164.127.25532,766
7459.164.128.0/1759.164.128.1 to 59.164.255.25459.164.255.25532,766
7559.165.0.0/1759.165.0.1 to 59.165.127.25459.165.127.25532,766
7659.165.128.0/1759.165.128.1 to 59.165.255.25459.165.255.25532,766
7759.166.0.0/1759.166.0.1 to 59.166.127.25459.166.127.25532,766
7859.166.128.0/1759.166.128.1 to 59.166.255.25459.166.255.25532,766
7959.167.0.0/1759.167.0.1 to 59.167.127.25459.167.127.25532,766
8059.167.128.0/1759.167.128.1 to 59.167.255.25459.167.255.25532,766
8159.168.0.0/1759.168.0.1 to 59.168.127.25459.168.127.25532,766
8259.168.128.0/1759.168.128.1 to 59.168.255.25459.168.255.25532,766
8359.169.0.0/1759.169.0.1 to 59.169.127.25459.169.127.25532,766
8459.169.128.0/1759.169.128.1 to 59.169.255.25459.169.255.25532,766
8559.170.0.0/1759.170.0.1 to 59.170.127.25459.170.127.25532,766
8659.170.128.0/1759.170.128.1 to 59.170.255.25459.170.255.25532,766
8759.171.0.0/1759.171.0.1 to 59.171.127.25459.171.127.25532,766
8859.171.128.0/1759.171.128.1 to 59.171.255.25459.171.255.25532,766
8959.172.0.0/1759.172.0.1 to 59.172.127.25459.172.127.25532,766
9059.172.128.0/1759.172.128.1 to 59.172.255.25459.172.255.25532,766
9159.173.0.0/1759.173.0.1 to 59.173.127.25459.173.127.25532,766
9259.173.128.0/1759.173.128.1 to 59.173.255.25459.173.255.25532,766
9359.174.0.0/1759.174.0.1 to 59.174.127.25459.174.127.25532,766
9459.174.128.0/1759.174.128.1 to 59.174.255.25459.174.255.25532,766
9559.175.0.0/1759.175.0.1 to 59.175.127.25459.175.127.25532,766
9659.175.128.0/1759.175.128.1 to 59.175.255.25459.175.255.25532,766
9759.176.0.0/1759.176.0.1 to 59.176.127.25459.176.127.25532,766
9859.176.128.0/1759.176.128.1 to 59.176.255.25459.176.255.25532,766
9959.177.0.0/1759.177.0.1 to 59.177.127.25459.177.127.25532,766
10059.177.128.0/1759.177.128.1 to 59.177.255.25459.177.255.25532,766
10159.178.0.0/1759.178.0.1 to 59.178.127.25459.178.127.25532,766
10259.178.128.0/1759.178.128.1 to 59.178.255.25459.178.255.25532,766
10359.179.0.0/1759.179.0.1 to 59.179.127.25459.179.127.25532,766
10459.179.128.0/1759.179.128.1 to 59.179.255.25459.179.255.25532,766
10559.180.0.0/1759.180.0.1 to 59.180.127.25459.180.127.25532,766
10659.180.128.0/1759.180.128.1 to 59.180.255.25459.180.255.25532,766
10759.181.0.0/1759.181.0.1 to 59.181.127.25459.181.127.25532,766
10859.181.128.0/1759.181.128.1 to 59.181.255.25459.181.255.25532,766
10959.182.0.0/1759.182.0.1 to 59.182.127.25459.182.127.25532,766
11059.182.128.0/1759.182.128.1 to 59.182.255.25459.182.255.25532,766
11159.183.0.0/1759.183.0.1 to 59.183.127.25459.183.127.25532,766
11259.183.128.0/1759.183.128.1 to 59.183.255.25459.183.255.25532,766
11359.184.0.0/1759.184.0.1 to 59.184.127.25459.184.127.25532,766
11459.184.128.0/1759.184.128.1 to 59.184.255.25459.184.255.25532,766
11559.185.0.0/1759.185.0.1 to 59.185.127.25459.185.127.25532,766
11659.185.128.0/1759.185.128.1 to 59.185.255.25459.185.255.25532,766
11759.186.0.0/1759.186.0.1 to 59.186.127.25459.186.127.25532,766
11859.186.128.0/1759.186.128.1 to 59.186.255.25459.186.255.25532,766
11959.187.0.0/1759.187.0.1 to 59.187.127.25459.187.127.25532,766
12059.187.128.0/1759.187.128.1 to 59.187.255.25459.187.255.25532,766
12159.188.0.0/1759.188.0.1 to 59.188.127.25459.188.127.25532,766
12259.188.128.0/1759.188.128.1 to 59.188.255.25459.188.255.25532,766
12359.189.0.0/1759.189.0.1 to 59.189.127.25459.189.127.25532,766
12459.189.128.0/1759.189.128.1 to 59.189.255.25459.189.255.25532,766
12559.190.0.0/1759.190.0.1 to 59.190.127.25459.190.127.25532,766
12659.190.128.0/1759.190.128.1 to 59.190.255.25459.190.255.25532,766
12759.191.0.0/1759.191.0.1 to 59.191.127.25459.191.127.25532,766
12859.191.128.0/1759.191.128.1 to 59.191.255.25459.191.255.25532,766
12959.192.0.0/1759.192.0.1 to 59.192.127.25459.192.127.25532,766
13059.192.128.0/1759.192.128.1 to 59.192.255.25459.192.255.25532,766
13159.193.0.0/1759.193.0.1 to 59.193.127.25459.193.127.25532,766
13259.193.128.0/1759.193.128.1 to 59.193.255.25459.193.255.25532,766
13359.194.0.0/1759.194.0.1 to 59.194.127.25459.194.127.25532,766
13459.194.128.0/1759.194.128.1 to 59.194.255.25459.194.255.25532,766
13559.195.0.0/1759.195.0.1 to 59.195.127.25459.195.127.25532,766
13659.195.128.0/1759.195.128.1 to 59.195.255.25459.195.255.25532,766
13759.196.0.0/1759.196.0.1 to 59.196.127.25459.196.127.25532,766
13859.196.128.0/1759.196.128.1 to 59.196.255.25459.196.255.25532,766
13959.197.0.0/1759.197.0.1 to 59.197.127.25459.197.127.25532,766
14059.197.128.0/1759.197.128.1 to 59.197.255.25459.197.255.25532,766
14159.198.0.0/1759.198.0.1 to 59.198.127.25459.198.127.25532,766
14259.198.128.0/1759.198.128.1 to 59.198.255.25459.198.255.25532,766
14359.199.0.0/1759.199.0.1 to 59.199.127.25459.199.127.25532,766
14459.199.128.0/1759.199.128.1 to 59.199.255.25459.199.255.25532,766
14559.200.0.0/1759.200.0.1 to 59.200.127.25459.200.127.25532,766
14659.200.128.0/1759.200.128.1 to 59.200.255.25459.200.255.25532,766
14759.201.0.0/1759.201.0.1 to 59.201.127.25459.201.127.25532,766
14859.201.128.0/1759.201.128.1 to 59.201.255.25459.201.255.25532,766
14959.202.0.0/1759.202.0.1 to 59.202.127.25459.202.127.25532,766
15059.202.128.0/1759.202.128.1 to 59.202.255.25459.202.255.25532,766
15159.203.0.0/1759.203.0.1 to 59.203.127.25459.203.127.25532,766
15259.203.128.0/1759.203.128.1 to 59.203.255.25459.203.255.25532,766
15359.204.0.0/1759.204.0.1 to 59.204.127.25459.204.127.25532,766
15459.204.128.0/1759.204.128.1 to 59.204.255.25459.204.255.25532,766
15559.205.0.0/1759.205.0.1 to 59.205.127.25459.205.127.25532,766
15659.205.128.0/1759.205.128.1 to 59.205.255.25459.205.255.25532,766
15759.206.0.0/1759.206.0.1 to 59.206.127.25459.206.127.25532,766
15859.206.128.0/1759.206.128.1 to 59.206.255.25459.206.255.25532,766
15959.207.0.0/1759.207.0.1 to 59.207.127.25459.207.127.25532,766
16059.207.128.0/1759.207.128.1 to 59.207.255.25459.207.255.25532,766
16159.208.0.0/1759.208.0.1 to 59.208.127.25459.208.127.25532,766
16259.208.128.0/1759.208.128.1 to 59.208.255.25459.208.255.25532,766
16359.209.0.0/1759.209.0.1 to 59.209.127.25459.209.127.25532,766
16459.209.128.0/1759.209.128.1 to 59.209.255.25459.209.255.25532,766
16559.210.0.0/1759.210.0.1 to 59.210.127.25459.210.127.25532,766
16659.210.128.0/1759.210.128.1 to 59.210.255.25459.210.255.25532,766
16759.211.0.0/1759.211.0.1 to 59.211.127.25459.211.127.25532,766
16859.211.128.0/1759.211.128.1 to 59.211.255.25459.211.255.25532,766
16959.212.0.0/1759.212.0.1 to 59.212.127.25459.212.127.25532,766
17059.212.128.0/1759.212.128.1 to 59.212.255.25459.212.255.25532,766
17159.213.0.0/1759.213.0.1 to 59.213.127.25459.213.127.25532,766
17259.213.128.0/1759.213.128.1 to 59.213.255.25459.213.255.25532,766
17359.214.0.0/1759.214.0.1 to 59.214.127.25459.214.127.25532,766
17459.214.128.0/1759.214.128.1 to 59.214.255.25459.214.255.25532,766
17559.215.0.0/1759.215.0.1 to 59.215.127.25459.215.127.25532,766
17659.215.128.0/1759.215.128.1 to 59.215.255.25459.215.255.25532,766
17759.216.0.0/1759.216.0.1 to 59.216.127.25459.216.127.25532,766
17859.216.128.0/1759.216.128.1 to 59.216.255.25459.216.255.25532,766
17959.217.0.0/1759.217.0.1 to 59.217.127.25459.217.127.25532,766
18059.217.128.0/1759.217.128.1 to 59.217.255.25459.217.255.25532,766
18159.218.0.0/1759.218.0.1 to 59.218.127.25459.218.127.25532,766
18259.218.128.0/1759.218.128.1 to 59.218.255.25459.218.255.25532,766
18359.219.0.0/1759.219.0.1 to 59.219.127.25459.219.127.25532,766
18459.219.128.0/1759.219.128.1 to 59.219.255.25459.219.255.25532,766
18559.220.0.0/1759.220.0.1 to 59.220.127.25459.220.127.25532,766
18659.220.128.0/1759.220.128.1 to 59.220.255.25459.220.255.25532,766
18759.221.0.0/1759.221.0.1 to 59.221.127.25459.221.127.25532,766
18859.221.128.0/1759.221.128.1 to 59.221.255.25459.221.255.25532,766
18959.222.0.0/1759.222.0.1 to 59.222.127.25459.222.127.25532,766
19059.222.128.0/1759.222.128.1 to 59.222.255.25459.222.255.25532,766
19159.223.0.0/1759.223.0.1 to 59.223.127.25459.223.127.25532,766
19259.223.128.0/1759.223.128.1 to 59.223.255.25459.223.255.25532,766
19359.224.0.0/1759.224.0.1 to 59.224.127.25459.224.127.25532,766
19459.224.128.0/1759.224.128.1 to 59.224.255.25459.224.255.25532,766
19559.225.0.0/1759.225.0.1 to 59.225.127.25459.225.127.25532,766
19659.225.128.0/1759.225.128.1 to 59.225.255.25459.225.255.25532,766
19759.226.0.0/1759.226.0.1 to 59.226.127.25459.226.127.25532,766
19859.226.128.0/1759.226.128.1 to 59.226.255.25459.226.255.25532,766
19959.227.0.0/1759.227.0.1 to 59.227.127.25459.227.127.25532,766
20059.227.128.0/1759.227.128.1 to 59.227.255.25459.227.255.25532,766
20159.228.0.0/1759.228.0.1 to 59.228.127.25459.228.127.25532,766
20259.228.128.0/1759.228.128.1 to 59.228.255.25459.228.255.25532,766
20359.229.0.0/1759.229.0.1 to 59.229.127.25459.229.127.25532,766
20459.229.128.0/1759.229.128.1 to 59.229.255.25459.229.255.25532,766
20559.230.0.0/1759.230.0.1 to 59.230.127.25459.230.127.25532,766
20659.230.128.0/1759.230.128.1 to 59.230.255.25459.230.255.25532,766
20759.231.0.0/1759.231.0.1 to 59.231.127.25459.231.127.25532,766
20859.231.128.0/1759.231.128.1 to 59.231.255.25459.231.255.25532,766
20959.232.0.0/1759.232.0.1 to 59.232.127.25459.232.127.25532,766
21059.232.128.0/1759.232.128.1 to 59.232.255.25459.232.255.25532,766
21159.233.0.0/1759.233.0.1 to 59.233.127.25459.233.127.25532,766
21259.233.128.0/1759.233.128.1 to 59.233.255.25459.233.255.25532,766
21359.234.0.0/1759.234.0.1 to 59.234.127.25459.234.127.25532,766
21459.234.128.0/1759.234.128.1 to 59.234.255.25459.234.255.25532,766
21559.235.0.0/1759.235.0.1 to 59.235.127.25459.235.127.25532,766
21659.235.128.0/1759.235.128.1 to 59.235.255.25459.235.255.25532,766
21759.236.0.0/1759.236.0.1 to 59.236.127.25459.236.127.25532,766
21859.236.128.0/1759.236.128.1 to 59.236.255.25459.236.255.25532,766
21959.237.0.0/1759.237.0.1 to 59.237.127.25459.237.127.25532,766
22059.237.128.0/1759.237.128.1 to 59.237.255.25459.237.255.25532,766
22159.238.0.0/1759.238.0.1 to 59.238.127.25459.238.127.25532,766
22259.238.128.0/1759.238.128.1 to 59.238.255.25459.238.255.25532,766
22359.239.0.0/1759.239.0.1 to 59.239.127.25459.239.127.25532,766
22459.239.128.0/1759.239.128.1 to 59.239.255.25459.239.255.25532,766
22559.240.0.0/1759.240.0.1 to 59.240.127.25459.240.127.25532,766
22659.240.128.0/1759.240.128.1 to 59.240.255.25459.240.255.25532,766
22759.241.0.0/1759.241.0.1 to 59.241.127.25459.241.127.25532,766
22859.241.128.0/1759.241.128.1 to 59.241.255.25459.241.255.25532,766
22959.242.0.0/1759.242.0.1 to 59.242.127.25459.242.127.25532,766
23059.242.128.0/1759.242.128.1 to 59.242.255.25459.242.255.25532,766
23159.243.0.0/1759.243.0.1 to 59.243.127.25459.243.127.25532,766
23259.243.128.0/1759.243.128.1 to 59.243.255.25459.243.255.25532,766
23359.244.0.0/1759.244.0.1 to 59.244.127.25459.244.127.25532,766
23459.244.128.0/1759.244.128.1 to 59.244.255.25459.244.255.25532,766
23559.245.0.0/1759.245.0.1 to 59.245.127.25459.245.127.25532,766
23659.245.128.0/1759.245.128.1 to 59.245.255.25459.245.255.25532,766
23759.246.0.0/1759.246.0.1 to 59.246.127.25459.246.127.25532,766
23859.246.128.0/1759.246.128.1 to 59.246.255.25459.246.255.25532,766
23959.247.0.0/1759.247.0.1 to 59.247.127.25459.247.127.25532,766
24059.247.128.0/1759.247.128.1 to 59.247.255.25459.247.255.25532,766
24159.248.0.0/1759.248.0.1 to 59.248.127.25459.248.127.25532,766
24259.248.128.0/1759.248.128.1 to 59.248.255.25459.248.255.25532,766
24359.249.0.0/1759.249.0.1 to 59.249.127.25459.249.127.25532,766
24459.249.128.0/1759.249.128.1 to 59.249.255.25459.249.255.25532,766
24559.250.0.0/1759.250.0.1 to 59.250.127.25459.250.127.25532,766
24659.250.128.0/1759.250.128.1 to 59.250.255.25459.250.255.25532,766
24759.251.0.0/1759.251.0.1 to 59.251.127.25459.251.127.25532,766
24859.251.128.0/1759.251.128.1 to 59.251.255.25459.251.255.25532,766
24959.252.0.0/1759.252.0.1 to 59.252.127.25459.252.127.25532,766
25059.252.128.0/1759.252.128.1 to 59.252.255.25459.252.255.25532,766
25159.253.0.0/1759.253.0.1 to 59.253.127.25459.253.127.25532,766
25259.253.128.0/1759.253.128.1 to 59.253.255.25459.253.255.25532,766
25359.254.0.0/1759.254.0.1 to 59.254.127.25459.254.127.25532,766
25459.254.128.0/1759.254.128.1 to 59.254.255.25459.254.255.25532,766
25559.255.0.0/1759.255.0.1 to 59.255.127.25459.255.127.25532,766
25659.255.128.0/1759.255.128.1 to 59.255.255.25459.255.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses